Next Previous Contents

## 3.140 srand

> Function

>   Initialize the pseudo random number generator.

> Header

>   `stdlib.h`

> Declaration

>   `void __fastcall__ srand (unsigned seed);`

> Description

>   The function initializes the random number generator using the given seed. On program startup, the generator behaves as if `srand` has been called with an argument of 1.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   _randomize, rand

> Example

>   None.

Next Previous Contents